Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
Class GroovyPageResourceLoader

    java.lang.Object
      org.codehaus.groovy.grails.support.StaticResourceLoader
          org.codehaus.groovy.grails.web.pages.GroovyPageResourceLoader

All Implemented Interfaces:
  ResourceLoader

    public class GroovyPageResourceLoader

extends StaticResourceLoader

A StaticResourceLoader that loads GSPs from a local grails-app folder instead of from WEB-INF in development mode

Since:
  0.5

  Created: Feb 26, 2007 Time: 4:25:08 PM
Author:
  Graeme Rocher
See Also:
  `StaticResourceLoader`

Field Summary
`static String` | `BEAN_ID` The id of the instance of this bean to be used in the Spring context

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Constructor Summary
`GroovyPageResourceLoader()`

Method Summary
`protected String` | `getRealLocationInProject(String location)` Retrieves the real location of a GSP within a Grails project
`Resource` | `getResource(String location)`
`protected Resource` | `lookupResourceForPluginPath(String location)`
`void` | `setBaseResource(Resource baseResource)`
`void` | `setPluginSettings(PluginBuildSettings settings)`

Methods inherited from class org.codehaus.groovy.grails.support.StaticResourceLoader
`getClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEAN_ID

    public static final String BEAN_ID

  The id of the instance of this bean to be used in the Spring context

  See Also:
    Constant Field Values

Constructor Detail

### GroovyPageResourceLoader

    public GroovyPageResourceLoader()

Method Detail

### setBaseResource

    public void setBaseResource(Resource baseResource)

  Overrides:
    `setBaseResource` in class `StaticResourceLoader`

### setPluginSettings

    public void setPluginSettings(PluginBuildSettings settings)

### getResource

    public Resource getResource(String location)

  Specified by:
    `getResource` in interface `ResourceLoader`
  Overrides:
    `getResource` in class `StaticResourceLoader`

### lookupResourceForPluginPath

    protected Resource lookupResourceForPluginPath(String location)

### getRealLocationInProject

    protected String getRealLocationInProject(String location)

  Retrieves the real location of a GSP within a Grails project

  Parameters:
    `location` - The location of the GSP at deployment time
  Returns:
    The location of the GSP at development time

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project